Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.content.property
Interface IBaseProperty

All Known Subinterfaces:
  IBooleanProperty, IDateProperty, IDoubleProperty, IFileProperty, IImageProperty, IIntegerProperty, IItemCollectionProperty, IItemReferenceProperty, ISelectionListProperty, ITextBlockProperty, ITextLineProperty

public interface IBaseProperty

Base class for all Content Server properties. Sub-types of this class can be added to an `IDataEntryTemplate`. All property names must be unique in a Data Entry Template, regardless of type. If the property name is not unique, a `NameAlreadyInUseException` will be thrown when the Data Entry Template is persisted.

Please see `IContentItem` for details about retrieving and updating property values.

Method Summary
`java.lang.String` | `getDescription()` Returns the description for this property.
`java.lang.String` | `getDisplayName()` Returns the property's display name.
`java.lang.String` | `getName()` Returns the property name.
`void` | `setDescription(java.lang.String description)` Sets the description for this property.
`void` | `setDisplayName(java.lang.String name)` Sets the display name for this property.
`void` | `setName(java.lang.String name)` Sets the name for this property.

Method Detail

### getDescription

    public java.lang.String getDescription()

  Returns the description for this property.

  Returns:
    description of the property.

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the property's display name. The display name is what will be displayed in the Content Explorer for this property. The display name will be the same as the property name if it is not explicitly set.

  Returns:
    the property display name.

### getName

    public java.lang.String getName()

  Returns the property name.

  Returns:
    the property name.

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description for this property. The new value set will not be persisted until this property is added to a Data Entry Template, and `IDataEntryTemplate.store` is called on that Data Entry Template.

  Parameters:
    `description` - description of the property; the description cannot be `null` or longer than 255 characters.
  Throws:
    `java.lang.IllegalArgumentException` - if the description is longer than 255 characters.

### setDisplayName

    public void setDisplayName(java.lang.String name)

  Sets the display name for this property. The display name is what will be displayed in the Content Explorer for this property. The display name will be the same as the property name if it is not explicitly set. The new value set will not be persisted until this property is added to a Data Entry Template and `IDataEntryTemplate.store` is called on that Data Entry Template.

  Parameters:
    `name` - display name of the property; the display name cannot be `null` or longer than 255 characters.
  Throws:
    `java.lang.IllegalArgumentException` - if the display name is longer than 255 characters.

### setName

    public void setName(java.lang.String name)

  Sets the name for this property. The new value set will not be persisted until this property is added to a Data Entry Template, and `IDataEntryTemplate.store` is called on that Data Entry Template.

  All property names have to be unique in a Data Entry Template, including properties of different types, otherwise a `NameAlreadyInUseException` will be thrown when the Data Entry Template is being persisted with properties of the same name.

  Parameters:
    `name` - name of the property. The name cannot be `null`, empty, or longer than 255 characters. The string used for the name will be trimmed of leading and trailing whitespace when it is stored and is case-insensitive during name comparison.
  Throws:
    `java.lang.IllegalArgumentException` - if the name is an empty string or longer than 255 characters.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.